;Homeall.g
M400                	; make sure everything has stopped before we make changes
M915 X S8 F0 R1	    	; Change X stall sensitivity for endstop homing (bereik S-waarde -10 tot 10, met een toenemende gevoeligheid als de waarde afneemt)
M915 Y S8 F0 R1	    	; Change Y stall sensitivity for endstop homing (bereik S-waarde -10 tot 10, met een toenemende gevoeligheid als de waarde afneemt)
M913 X30 Y50  		; reduce motor current to 50% to prevent belts slipping
G91			; relative mode
G1 Z5 F6000 S2	    	; raise Z to avoid collisions and stop if endstop is switched (if already homed)
G1 X-240 Y-240 F3000 S1	; Move towards origin and stop if endstop detected
G1 S1 Z-200 F3000	; Move Z down until the switch triggers, first pass
G1 Z5 F6000		; Move Z up 5mm
G1 S1 Z-200 F120	; Move Z down until the switch triggers, second pass
G4 P500			; wait 500msec
G90			; absolute mode
M400                	; make sure everything has stopped before we reset the motor currents
M913 X100 Y100 		; motor currents back to normal
M915 X S17 F1 R1	; Increase X StallGuard thresold to prevent false readings
M915 Y S17 F1 R1	; Increase Y StallGuard thresold to prevent false readings

; Uncomment the following lines to lift Z after probing
G91             ; relative positioning
G1 S2 Z5 F100   ; lift Z 5mm relative to current position
G90             ; absolute positioning