; homex.g
; called to home the X axis
;
; Gehaald van https://forum.duet3d.com/topic/3986/how-to-tune-stall-detection/33

M400                	; make sure everything has stopped before we make changes
M915 X S8 F0 R1	    	; increase stall sensitivity for endstop homing (bereik S-waarde -10 tot 10, met een toenemende gevoeligheid als de waarde afneemt)
M913 X30 Z100  		; reduce motor current to 50% to prevent belts slipping
G91			; relative mode
G1 Z4 F200 S1	    	; raise Z to avoid collisions and stop if endstop is switched (if already homed)
G1 X-240 F3000 S1	; Move towards origin and stop if endstop detected
G4 P500			; wait 500msec
G90			; absolute mode
M400                	; make sure everything has stopped before we reset the motor currents
M913 X100    		; motor currents back to normal
M915 X S17 F1 R1		; Increase StallGuard thresold to prevent false readings